Skip to content
POST/{organizationId}/{mandateId}/crm/rules/{ruleId}

Update rule

Updates a specific CRM rule

Required permissions:

  • mandate.read

  • contactRule.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
ruleIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 100

maxItems: 20

minItems: 1

maxItems: 10

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/rules/{ruleId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/rules/{ruleId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "contactSegments": [
    "string"
  ],
  "trigger": {
    "type": "created"
  },
  "schedule": {
    "shiftMode": "before",
    "shiftTime": {
      "value": 0,
      "unit": "days"
    },
    "time": {
      "hours": 0,
      "minutes": 0
    }
  },
  "actions": [
    {
      "id": "string",
      "name": "string",
      "type": "sendContactEmail",
      "condition": {
        "operator": "and",
        "conditions": [
          null
        ]
      },
      "emailTexts": {
        "subject": "string",
        "message": "string"
      },
      "expressaTemplate": "000000000000000000000001",
      "mailingTags": [
        "string"
      ],
      "alternateCommunications": true,
      "expressaTemplateContents": {}
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}